<template>
    <div class="w-full relative block">
        <div class="mb-1 p-1 text-xs">
            {{feature.title.replace(/\$\d+\s*/, '')}}
        </div>
        <div v-if="full && (feature.title != feature.report.aoi)" class="mb-1 p-1 text-xs" :class="[placePalette(feature.report.type.id, feature).lightest.bg, placePalette(feature.report.type.id, feature).darker.text]">
            {{feature.report.aoi.replace(/\$\d+\s*/, '')}}
        </div>
        <div v-if="full" class="w-full text-right">
            <button class="font-bold py-1 px-2 text-sm rounded inline-flex items-center" :class="placePalette(feature.report.type.id, feature).darkest.text" v-on:click="editFeature()">
                <img svg-inline class="fill-current inline-block w-4 h-4 mr-2" src="./pix/zond/edit-pencil.svg" />
                <span v-if="editable">Edit</span>
                <span v-else>Detail</span>
            </button>
        </div>
        <div v-if="full" class="mb-1 rounded-b-lg">
            <table class="relative w-full rounded-lg table-fixed">
                <tbody class="w-full relative">
                    <tr class="w-full relative" v-for="(value, key) in feature.properties" :key="key" v-if="value.length">
                        <td class="whitespace-no-wrap mr-1 p-1 cursor-pointer capitalize text-xs truncate w-1/4" :class="[placePalette(feature.report.type.id, feature).regular.bg, placePalette(feature.report.type.id, feature).lightest.text]">{{key}}</td>
                        <td class="whitespace-no-wrap text-right p-1 text-xs truncate w-3/4" :class="[placePalette(feature.report.type.id, feature).lighter.bg, placePalette(feature.report.type.id, feature).darkish.text]" v-html="value" v-linkified></td>
                    </tr>
                    <tr class="w-full relative" v-for="(value, key) in feature.report.properties" :key="key" v-if="value.length">
                        <td class="whitespace-no-wrap mr-1 p-1 cursor-pointer capitalize text-xs truncate w-1/4" :class="[placePalette(feature.report.type.id, feature).regular.bg, placePalette(feature.report.type.id, feature).lightest.text]">{{key}}</td>
                        <td class="whitespace-no-wrap text-right p-1 text-xs truncate w-3/4" :class="[placePalette(feature.report.type.id, feature).lighter.bg, placePalette(feature.report.type.id, feature).darkish.text]" v-html="value" v-linkified></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</template>
<script>
const DB_WB_DISTRICTS = [{"code":"AD","label":"Alipurduar"},{"code":"BN","label":"Bankura"},{"code":"BR","label":"Paschim Bardhaman"},{"code":"BR","label":"Purba Bardhaman"},{"code":"BI","label":"Birbhum"},{"code":"KB","label":"Cooch Behar"},{"code":"DA","label":"Darjeeling"},{"code":"UD","label":"Uttar Dinajpur"},{"code":"DD","label":"Dakshin Dinajpur"},{"code":"HG","label":"Hooghly"},{"code":"HR","label":"Howrah"},{"code":"JP","label":"Jalpaiguri"},{"code":"JH","label":"Jhargram"},{"code":"KO","label":"Kolkata"},{"code":"KA","label":"Kalimpong"},{"code":"MA","label":"Malda"},{"code":"ME","label":"Paschim Medinipur"},{"code":"ME","label":"Purba Medinipur"},{"code":"MU","label":"Murshidabad"},{"code":"NA","label":"Nadia"},{"code":"PN","label":"North 24 Parganas"},{"code":"PS","label":"South 24 Parganas"},{"code":"PU","label":"Purulia"}];

import Vue from 'vue';
import linkify from 'vue-linkify';
import {ThemeMixin} from './themes.js';

Vue.directive('linkified', linkify);

export default {
    name: "WeeSpatialInfo",
    props: {
        editable: {
            type: Boolean,
            default: false
        },
        feature: Object, 
        full: Boolean,
        theme: {
            type: String,
            default: 'teal'
        }
    },
    mixins: [ThemeMixin],
    beforeCreate: function(){
        this._districts = {};
        DB_WB_DISTRICTS.forEach((d) => {
            this._districts[d.code] = d.label;
        });
    },
    methods: {
        district_label(code){
            return this._districts[code];
        },
        editFeature(){
            this.$emit('edit', this.feature.report.id);
        }
    },
    computed: {
        
    }
}
</script>
<style>

</style>
